UbixOS V2 2.0

Functions
gen_calls.h File Reference
`#include <sys/thread.h>`
`#include <sys/sysproto_posix.h>`
Include dependency graph for gen_calls.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | getgid (struct thread *, struct getgid_args *)
int | getpid (struct thread *, struct getpid_args *)
int | gettimeofday_new (struct thread *, struct gettimeofday_args *)
int | getuid (struct thread *, struct getuid_args *)
int | issetugid (register struct thread *, struct issetugid_args *)
int | read (struct thread *td, struct read_args *uap)
int | readlink (struct thread *, struct readlink_args *)

## Function Documentation

## ◆ getgid()

int getgid | ( | struct thread * | ,
|  | struct getgid_args * |
| ) |  |

Definition at line 70 of file gen_calls.c.

References _current, taskStruct::gid, kprintf(), and thread::td_retval.

Here is the call graph for this function:

## ◆ getpid()

int getpid | ( | struct thread * | ,
|  | struct getpid_args * |
| ) |  |

Definition at line 52 of file gen_calls.c.

References _current, taskStruct::id, kprintf(), and thread::td_retval.

Here is the call graph for this function:

## ◆ gettimeofday_new()

int gettimeofday_new | ( | struct thread * | ,
|  | struct gettimeofday_args * |
| ) |  |

Definition at line 93 of file gen_calls.c.

References kprintf().

Here is the call graph for this function:

## ◆ getuid()

int getuid | ( | struct thread * | ,
|  | struct getuid_args * |
| ) |  |

Definition at line 61 of file gen_calls.c.

References _current, kprintf(), thread::td_retval, and taskStruct::uid.

Here is the call graph for this function:

## ◆ issetugid()

int issetugid | ( | register struct thread * | ,
|  | struct issetugid_args * |
| ) |  |

## ◆ read()

int read | ( | struct thread * | td,
|  | struct read_args * | uap
| ) |  |

Definition at line 100 of file gen_calls.c.

References read_args::buf, file::fd, read_args::fd, fread(), getfd(), kprintf(), read_args::nbyte, and thread::td_retval.

Referenced by dmaXfer(), and fdcRw().

Here is the call graph for this function:

## ◆ readlink()

int readlink | ( | struct thread * | ,
|  | struct readlink_args * |
| ) |  |

Definition at line 83 of file gen_calls.c.

References readlink_args::count, kprintf(), readlink_args::path, and thread::td_retval.

Here is the call graph for this function: